Bug 2101222 - pylint fails with E1101: Module 'os' has no 'path' member (no-member)
Summary: pylint fails with E1101: Module 'os' has no 'path' member (no-member)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-astroid
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-26 17:35 UTC by Martin Pitt
Modified: 2022-07-11 17:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-11 17:05:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github PyCQA astroid issues 1669 0 None open 2.11.6 creates pylint regression 2022-06-27 15:26:22 UTC

Description Martin Pitt 2022-06-26 17:35:52 UTC
Description of problem:  The recent update [1] seems to have broken pylint (which didn't change in two months). Two days ago, python-dbusmock's pylint tests started to fail [2] with lots of messages like

  dbusmock/mockobject.py:47:7: E1101: Module 'os' has no 'path' member (no-member)
  dbusmock/mockobject.py:762:8: E1101: Module 'os' has no 'write' member (no-member)


These are bogus - of course the standard library `os` module knows about these.


Version-Release number of selected component (if applicable):

python-astroid-2.11.6-1.fc37
python3-pylint-2.13.7-2.fc37.noarch

How reproducible: Always


Steps to Reproduce:
1. git clone https://github.com/martinpitt/python-dbusmock/
2. cd python-dbusmock
3. python3 -m pylint dbusmock/*.py


Additional info:

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f1ff0f531
[2] https://github.com/martinpitt/python-dbusmock/runs/7035892203?check_suite_focus=true

Comment 1 Gwyn Ciesla 2022-06-27 15:26:22 UTC
https://github.com/PyCQA/astroid/issues/1669

Comment 2 Adam Williamson 2022-07-11 17:05:15 UTC
Fixed in 2.12.1 which I just built:
https://koji.fedoraproject.org/koji/buildinfo?buildID=2000066

I'm also updating pylint, hold for that.


Note You need to log in before you can comment on or make changes to this bug.